Get Bus Seats Endpoint

Retrieves the bus seats available based on the bus, and the schedule(schedule_id) and the date the customer wishes to travel.

Ideally, this endpoint will be called after customer has selected the type of bus, the schedule(6AM bus, 8AM bus, etc) and the date that he or she wishes to travel. This end point returns the bus and it's seating arrangement data which you can use to model the bus' seating arrangement so your customers can select their preferred seat as if they were seeing the bus in reality.

Get Bus Seats

get

Retrieve the seat availability for a specific bus and schedule on a given date. It returns the seats and signifies which seats are taken and which seats are available.

Path parameters
schedule_idintegerRequired

This is the ID of the schedule.

bus_idintegerRequired

This is the ID of the bus.

departure_datestring · dateOptional

The day that the user wants to travel.

Responses
chevron-right
200

Bus Seat Grid showing available bus seats

application/json
successbooleanOptional
statusintegerOptional
messagestringOptional
get
/api/v1/merpi/transport/bus/seats/{schedule_id}/{bus_id}/{departure_date}
200

Bus Seat Grid showing available bus seats

Last updated